Ir para o conteúdo
Documentação do Endless

Train voice

POST
/voices

Train voice.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/voices" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "provider": "string",    "name": "string",    "sample_asset_ids": [      "126a74d0-295a-41b5-9db2-5f525b988fa0"    ],    "consent": true  }'
{  "id": "string",  "quick_action_id": "string",  "organization_id": "string",  "media_model_id": "string",  "model": {    "name": "string",    "owner": "string"  },  "name": "string",  "description": "string",  "visibility": "private",  "created_by_id": "string",  "sample_asset_ids": [    "string"  ],  "cached": true,  "created_at": "string",  "updated_at": "string"}